diff --git a/src/components/views/Ht.vue b/src/components/views/Ht.vue
index 9fdfb42..8297a4b 100644
--- a/src/components/views/Ht.vue
+++ b/src/components/views/Ht.vue
@@ -45,9 +45,24 @@ interface DataEntry {
 interface ContractSegmentPackage {
   version: number
   exportedAt: string
-  projectIndustry: string
+  packageType?: 'contract-segments'
+  project?: {
+    industry: string
+  }
+  storage?: {
+    localforageEntries: DataEntry[]
+  }
   contracts: ContractItem[]
-  localforageEntries: DataEntry[]
+  projectIndustry?: string
+  localforageEntries?: DataEntry[]
+  pinia?: {
+    zxFwPricing?: {
+      contracts?: Record<string, unknown>
+      servicePricingStates?: Record<string, unknown>
+      htFeeMainStates?: Record<string, unknown>
+      htFeeMethodStates?: Record<string, unknown>
+    }
+  }
   piniaState?: {
     zxFwPricing?: {
       contracts?: Record<string, unknown>
@@ -99,7 +114,7 @@ interface QuantityMethodStateLike {
 
 const STORAGE_KEY = 'ht-card-v1'
 const CONTRACT_SEGMENT_FILE_EXTENSION = '.htzw'
-const CONTRACT_SEGMENT_VERSION = 2
+const CONTRACT_SEGMENT_VERSION = 3
 const CONTRACT_KEY_PREFIX = 'ht-info-v3-'
 const SERVICE_KEY_PREFIX = 'zxFW-'
 const CONTRACT_CONSULT_FACTOR_KEY_PREFIX = 'ht-consult-category-factor-v1-'
@@ -274,6 +289,7 @@ const getCurrentProjectIndustry = async (): Promise<string> => {
 }
 
 const toFiniteNumber = (value: unknown): number | null => {
+  if (value == null || value === '') return null
   const num = Number(value)
   return Number.isFinite(num) ? num : null
 }
@@ -607,6 +623,15 @@ const normalizeDataEntries = (value: unknown): DataEntry[] => {
     }))
 }
 
+const normalizeContractSegmentPackage = (payload: ContractSegmentPackage) => ({
+  projectIndustry:
+    typeof payload.project?.industry === 'string' && payload.project.industry.trim()
+      ? payload.project.industry.trim()
+      : (typeof payload.projectIndustry === 'string' ? payload.projectIndustry.trim() : ''),
+  localforageEntries: normalizeDataEntries(payload.storage?.localforageEntries ?? payload.localforageEntries),
+  piniaState: payload.pinia ?? payload.piniaState
+})
+
 const isRecord = (value: unknown): value is Record<string, unknown> =>
   Boolean(value && typeof value === 'object' && !Array.isArray(value))
 
@@ -799,11 +824,16 @@ const exportSelectedContracts = async () => {
     const now = new Date()
     const payload: ContractSegmentPackage = {
       version: CONTRACT_SEGMENT_VERSION,
+      packageType: 'contract-segments',
       exportedAt: now.toISOString(),
-      projectIndustry,
+      project: {
+        industry: projectIndustry
+      },
       contracts: selectedContracts,
-      localforageEntries,
-      piniaState: {
+      storage: {
+        localforageEntries
+      },
+      pinia: {
         zxFwPricing: piniaPayload
       }
     }
@@ -845,16 +875,17 @@ const importContractSegments = async (event: Event) => {
     if (!isContractSegmentPackage(payload)) {
       throw new Error('INVALID_CONTRACT_SEGMENT_PAYLOAD')
     }
+    const normalizedPackage = normalizeContractSegmentPackage(payload)
 
     const currentProjectIndustry = await getCurrentProjectIndustry()
     if (!currentProjectIndustry) {
       throw new Error('CURRENT_PROJECT_INDUSTRY_MISSING')
     }
-    if (typeof payload.projectIndustry !== 'string' || !payload.projectIndustry.trim()) {
+    if (!normalizedPackage.projectIndustry) {
       throw new Error('IMPORT_PACKAGE_INDUSTRY_MISSING')
     }
-    if (payload.projectIndustry.trim() !== currentProjectIndustry) {
-      throw new Error(`PROJECT_INDUSTRY_MISMATCH:${payload.projectIndustry.trim()}:${currentProjectIndustry}`)
+    if (normalizedPackage.projectIndustry !== currentProjectIndustry) {
+      throw new Error(`PROJECT_INDUSTRY_MISMATCH:${normalizedPackage.projectIndustry}:${currentProjectIndustry}`)
     }
 
     const importedContracts = normalizeContractsFromPayload(payload.contracts)
@@ -862,7 +893,7 @@ const importContractSegments = async (event: Event) => {
       throw new Error('EMPTY_CONTRACTS')
     }
 
-    const importedEntries = normalizeDataEntries(payload.localforageEntries)
+    const importedEntries = normalizedPackage.localforageEntries
     const usedIds = new Set(contracts.value.map(item => item.id))
     const oldToNewIdMap = new Map<string, string>()
     const nextContracts: ContractItem[] = importedContracts.map((item, index) => {
@@ -889,7 +920,7 @@ const importContractSegments = async (event: Event) => {
     })
 
     await Promise.all(rewrittenEntries.map(entry => kvStore.setItem(entry.key, entry.value)))
-    await applyImportedContractPiniaPayload(payload.piniaState, oldToNewIdMap)
+    await applyImportedContractPiniaPayload(normalizedPackage.piniaState, oldToNewIdMap)
 
     contracts.value = [...contracts.value, ...nextContracts]
     await saveContracts()
diff --git a/src/components/views/HtConsultCategoryFactor.vue b/src/components/views/HtConsultCategoryFactor.vue
index e83bc5d..640ba3c 100644
--- a/src/components/views/HtConsultCategoryFactor.vue
+++ b/src/components/views/HtConsultCategoryFactor.vue
@@ -6,6 +6,8 @@ import { useKvStore } from '@/pinia/kv'
 
 const props = defineProps<{
   contractId: string
+  projectInfoKey?: string
+  parentStorageKey?: string
 }>()
 
 interface XmBaseInfoState {
@@ -20,13 +22,13 @@ type ServiceItem = {
   notshowByzxflxs?: boolean
 }
 
-const PROJECT_INFO_KEY = 'xm-base-info-v1'
+const PROJECT_INFO_KEY = computed(() => props.projectInfoKey || 'xm-base-info-v1')
 const projectIndustry = ref('')
 const kvStore = useKvStore()
 
 const loadProjectIndustry = async () => {
   try {
-    const data = await kvStore.getItem<XmBaseInfoState>(PROJECT_INFO_KEY)
+    const data = await kvStore.getItem<XmBaseInfoState>(PROJECT_INFO_KEY.value)
     projectIndustry.value =
       typeof data?.projectIndustry === 'string' ? data.projectIndustry.trim() : ''
   } catch (error) {
@@ -57,7 +59,7 @@ onActivated(() => {
   <XmFactorGrid
     title="咨询分类系数明细"
     :storage-key="`ht-consult-category-factor-v1-${props.contractId}`"
-    parent-storage-key="xm-consult-category-factor-v1"
+    :parent-storage-key="props.parentStorageKey || 'xm-consult-category-factor-v1'"
     :dict="filteredServiceDict"
     :disable-budget-edit-when-standard-null="true"
     :exclude-notshow-by-zxflxs="true"
diff --git a/src/components/views/HtMajorFactor.vue b/src/components/views/HtMajorFactor.vue
index 2a4d84e..1690c91 100644
--- a/src/components/views/HtMajorFactor.vue
+++ b/src/components/views/HtMajorFactor.vue
@@ -18,15 +18,17 @@ type MajorItem = {
 
 const props = defineProps<{
   contractId: string
+  projectInfoKey?: string
+  parentStorageKey?: string
 }>()
 
-const PROJECT_INFO_KEY = 'xm-base-info-v1'
+const PROJECT_INFO_KEY = computed(() => props.projectInfoKey || 'xm-base-info-v1')
 const projectIndustry = ref('')
 const kvStore = useKvStore()
 
 const loadProjectIndustry = async () => {
   try {
-    const data = await kvStore.getItem<XmBaseInfoState>(PROJECT_INFO_KEY)
+    const data = await kvStore.getItem<XmBaseInfoState>(PROJECT_INFO_KEY.value)
     projectIndustry.value =
       typeof data?.projectIndustry === 'string' ? data.projectIndustry.trim() : ''
   } catch (error) {
@@ -57,7 +59,7 @@ onActivated(() => {
   <XmFactorGrid
     title="工程专业系数明细"
     :storage-key="`ht-major-factor-v1-${props.contractId}`"
-    parent-storage-key="xm-major-factor-v1"
+    :parent-storage-key="props.parentStorageKey || 'xm-major-factor-v1'"
     :dict="filteredMajorDict"
     :disable-budget-edit-when-standard-null="true"
     :exclude-notshow-by-zxflxs="true"
diff --git a/src/components/views/ProjectWorkspaceView.vue b/src/components/views/ProjectWorkspaceView.vue
new file mode 100644
index 0000000..f17f060
--- /dev/null
+++ b/src/components/views/ProjectWorkspaceView.vue
@@ -0,0 +1,17 @@
+<script setup lang="ts">
+import { onActivated, onMounted } from 'vue'
+import XmCard from '@/components/views/xmCard.vue'
+import { writeWorkspaceMode } from '@/lib/workspace'
+
+onMounted(() => {
+  writeWorkspaceMode('project')
+})
+
+onActivated(() => {
+  writeWorkspaceMode('project')
+})
+</script>
+
+<template>
+  <XmCard />
+</template>
diff --git a/src/components/views/QuickCalcView.vue b/src/components/views/QuickCalcView.vue
new file mode 100644
index 0000000..fa84aba
--- /dev/null
+++ b/src/components/views/QuickCalcView.vue
@@ -0,0 +1,413 @@
+<script setup lang="ts">
+import { computed, onActivated, onMounted, ref, watch } from 'vue'
+import { Card, CardContent, CardDescription, CardHeader, CardTitle } from '@/components/ui/card'
+import { Button } from '@/components/ui/button'
+import { useKvStore } from '@/pinia/kv'
+import { useTabStore } from '@/pinia/tab'
+import { useZxFwPricingStore } from '@/pinia/zxFwPricing'
+import { ArrowRight, Calculator, PencilLine } from 'lucide-vue-next'
+import { industryTypeList } from '@/sql'
+import { formatThousands } from '@/lib/numberFormat'
+import { roundTo } from '@/lib/decimal'
+import { initializeProjectFactorStates } from '@/lib/projectWorkspace'
+import {
+  QUICK_CONSULT_CATEGORY_FACTOR_KEY,
+  QUICK_CONTRACT_FALLBACK_NAME,
+  QUICK_CONTRACT_ID,
+  QUICK_CONTRACT_META_KEY,
+  QUICK_MAJOR_FACTOR_KEY,
+  QUICK_PROJECT_INFO_KEY,
+  QUICK_PROJECT_SCALE_KEY,
+  createDefaultQuickContractMeta,
+  writeWorkspaceMode
+} from '@/lib/workspace'
+
+interface QuickProjectInfoState {
+  projectIndustry?: string
+  projectName?: string
+  preparedBy?: string
+  reviewedBy?: string
+  preparedCompany?: string
+  preparedDate?: string
+}
+
+interface QuickContractMetaState {
+  id?: string
+  name?: string
+  updatedAt?: string
+}
+
+interface HtFeeMainRowLike {
+  id?: unknown
+}
+
+interface RateMethodStateLike {
+  budgetFee?: unknown
+}
+
+interface HourlyMethodRowLike {
+  serviceBudget?: unknown
+  adoptedBudgetUnitPrice?: unknown
+  personnelCount?: unknown
+  workdayCount?: unknown
+}
+
+interface HourlyMethodStateLike {
+  detailRows?: HourlyMethodRowLike[]
+}
+
+interface QuantityMethodRowLike {
+  id?: unknown
+  budgetFee?: unknown
+  quantity?: unknown
+  unitPrice?: unknown
+}
+
+interface QuantityMethodStateLike {
+  detailRows?: QuantityMethodRowLike[]
+}
+
+const kvStore = useKvStore()
+const tabStore = useTabStore()
+const zxFwPricingStore = useZxFwPricingStore()
+
+const contractName = ref(QUICK_CONTRACT_FALLBACK_NAME)
+const projectIndustry = ref(String(industryTypeList[0]?.id || ''))
+const quickBudget = ref<number | null>(null)
+const savingIndustry = ref(false)
+let budgetRefreshTimer: ReturnType<typeof setTimeout> | null = null
+
+const availableIndustries = computed(() =>
+  industryTypeList.map(item => ({
+    id: String(item.id),
+    name: item.name
+  }))
+)
+
+const formatBudgetAmount = (value: number | null | undefined) =>
+  typeof value === 'number' && Number.isFinite(value) ? `${formatThousands(value, 2)} 元` : '--'
+
+const toFiniteNumber = (value: unknown): number | null => {
+  if (value == null || value === '') return null
+  const num = Number(value)
+  return Number.isFinite(num) ? num : null
+}
+
+const sumHourlyMethodFee = (state: HourlyMethodStateLike | null): number | null => {
+  const rows = Array.isArray(state?.detailRows) ? state.detailRows : []
+  if (rows.length === 0) return null
+  let hasValid = false
+  let total = 0
+  for (const row of rows) {
+    const serviceBudget = toFiniteNumber(row?.serviceBudget)
+    if (serviceBudget != null) {
+      total += serviceBudget
+      hasValid = true
+      continue
+    }
+    const adopted = toFiniteNumber(row?.adoptedBudgetUnitPrice)
+    const personnel = toFiniteNumber(row?.personnelCount)
+    const workday = toFiniteNumber(row?.workdayCount)
+    if (adopted == null || personnel == null || workday == null) continue
+    total += adopted * personnel * workday
+    hasValid = true
+  }
+  return hasValid ? roundTo(total, 2) : null
+}
+
+const sumQuantityMethodFee = (state: QuantityMethodStateLike | null): number | null => {
+  const rows = Array.isArray(state?.detailRows) ? state.detailRows : []
+  if (rows.length === 0) return null
+  const subtotalRow = rows.find(row => String(row?.id || '') === 'fee-subtotal-fixed')
+  const subtotal = toFiniteNumber(subtotalRow?.budgetFee)
+  if (subtotal != null) return roundTo(subtotal, 2)
+
+  let hasValid = false
+  let total = 0
+  for (const row of rows) {
+    if (String(row?.id || '') === 'fee-subtotal-fixed') continue
+    const budget = toFiniteNumber(row?.budgetFee)
+    if (budget != null) {
+      total += budget
+      hasValid = true
+      continue
+    }
+    const quantity = toFiniteNumber(row?.quantity)
+    const unitPrice = toFiniteNumber(row?.unitPrice)
+    if (quantity == null || unitPrice == null) continue
+    total += quantity * unitPrice
+    hasValid = true
+  }
+  return hasValid ? roundTo(total, 2) : null
+}
+
+const loadHtMethodTotalByRow = async (mainStorageKey: string, rowId: string) => {
+  const [rateState, hourlyState, quantityState] = await Promise.all([
+    zxFwPricingStore.loadHtFeeMethodState<RateMethodStateLike>(mainStorageKey, rowId, 'rate-fee'),
+    zxFwPricingStore.loadHtFeeMethodState<HourlyMethodStateLike>(mainStorageKey, rowId, 'hourly-fee'),
+    zxFwPricingStore.loadHtFeeMethodState<QuantityMethodStateLike>(mainStorageKey, rowId, 'quantity-unit-price-fee')
+  ])
+  const parts = [
+    toFiniteNumber(rateState?.budgetFee),
+    sumHourlyMethodFee(hourlyState),
+    sumQuantityMethodFee(quantityState)
+  ]
+  const validParts = parts.filter((item): item is number => typeof item === 'number' && Number.isFinite(item))
+  if (validParts.length === 0) return null
+  return roundTo(validParts.reduce((sum, value) => sum + value, 0), 2)
+}
+
+const loadHtMainTotalFee = async (mainStorageKey: string) => {
+  const mainState = await zxFwPricingStore.loadHtFeeMainState<HtFeeMainRowLike>(mainStorageKey)
+  const rows = Array.isArray(mainState?.detailRows) ? mainState.detailRows : []
+  const rowIds = rows.map(row => String(row?.id || '').trim()).filter(Boolean)
+  if (rowIds.length === 0) return null
+  const rowTotals = await Promise.all(rowIds.map(rowId => loadHtMethodTotalByRow(mainStorageKey, rowId)))
+  const validTotals = rowTotals.filter((item): item is number => typeof item === 'number' && Number.isFinite(item))
+  if (validTotals.length === 0) return null
+  return roundTo(validTotals.reduce((sum, value) => sum + value, 0), 2)
+}
+
+const refreshQuickBudget = async () => {
+  await zxFwPricingStore.loadContract(QUICK_CONTRACT_ID)
+  const serviceFee = zxFwPricingStore.getBaseSubtotal(QUICK_CONTRACT_ID)
+  const [additionalFee, reserveFee] = await Promise.all([
+    loadHtMainTotalFee(`htExtraFee-${QUICK_CONTRACT_ID}-additional-work`),
+    loadHtMainTotalFee(`htExtraFee-${QUICK_CONTRACT_ID}-reserve`)
+  ])
+  const parts = [serviceFee, additionalFee, reserveFee]
+  const validParts = parts.filter((item): item is number => typeof item === 'number' && Number.isFinite(item))
+  quickBudget.value = validParts.length === 0 ? null : roundTo(validParts.reduce((sum, value) => sum + value, 0), 2)
+}
+
+const scheduleRefreshQuickBudget = () => {
+  if (budgetRefreshTimer) clearTimeout(budgetRefreshTimer)
+  budgetRefreshTimer = setTimeout(() => {
+    void refreshQuickBudget()
+  }, 80)
+}
+
+const normalizeQuickContractMeta = (value: QuickContractMetaState | null) => ({
+  id: typeof value?.id === 'string' && value.id.trim() ? value.id.trim() : QUICK_CONTRACT_ID,
+  name: typeof value?.name === 'string' && value.name.trim() ? value.name.trim() : QUICK_CONTRACT_FALLBACK_NAME,
+  updatedAt:
+    typeof value?.updatedAt === 'string' && value.updatedAt.trim()
+      ? value.updatedAt
+      : new Date().toISOString()
+})
+
+const ensureQuickWorkspaceReady = async () => {
+  const [savedInfo, savedMeta] = await Promise.all([
+    kvStore.getItem<QuickProjectInfoState>(QUICK_PROJECT_INFO_KEY),
+    kvStore.getItem<QuickContractMetaState>(QUICK_CONTRACT_META_KEY)
+  ])
+
+  const defaultIndustry = String(industryTypeList[0]?.id || '')
+  const nextIndustry =
+    typeof savedInfo?.projectIndustry === 'string' && savedInfo.projectIndustry.trim()
+      ? savedInfo.projectIndustry.trim()
+      : defaultIndustry
+
+  projectIndustry.value = nextIndustry
+  contractName.value = normalizeQuickContractMeta(savedMeta).name
+
+  await kvStore.setItem(QUICK_PROJECT_INFO_KEY, {
+    projectIndustry: nextIndustry,
+    projectName: '快速计算'
+  })
+
+  const consultState = await kvStore.getItem(QUICK_CONSULT_CATEGORY_FACTOR_KEY)
+  const majorState = await kvStore.getItem(QUICK_MAJOR_FACTOR_KEY)
+  if (!consultState || !majorState) {
+    await initializeProjectFactorStates(
+      kvStore,
+      nextIndustry,
+      QUICK_CONSULT_CATEGORY_FACTOR_KEY,
+      QUICK_MAJOR_FACTOR_KEY
+    )
+  }
+
+  await kvStore.setItem(QUICK_CONTRACT_META_KEY, {
+    ...createDefaultQuickContractMeta(),
+    ...normalizeQuickContractMeta(savedMeta)
+  })
+}
+
+const persistQuickContractMeta = async () => {
+  await kvStore.setItem(QUICK_CONTRACT_META_KEY, {
+    id: QUICK_CONTRACT_ID,
+    name: contractName.value.trim() || QUICK_CONTRACT_FALLBACK_NAME,
+    updatedAt: new Date().toISOString()
+  })
+}
+
+const persistQuickIndustry = async (industry: string) => {
+  if (!industry) return
+  savingIndustry.value = true
+  try {
+    const current = await kvStore.getItem<QuickProjectInfoState>(QUICK_PROJECT_INFO_KEY)
+    await kvStore.setItem(QUICK_PROJECT_INFO_KEY, {
+      ...current,
+      projectIndustry: industry,
+      projectName: '快速计算'
+    })
+    await initializeProjectFactorStates(
+      kvStore,
+      industry,
+      QUICK_CONSULT_CATEGORY_FACTOR_KEY,
+      QUICK_MAJOR_FACTOR_KEY
+    )
+  } finally {
+    savingIndustry.value = false
+  }
+}
+
+const openQuickContract = () => {
+  writeWorkspaceMode('quick')
+  tabStore.openTab({
+    id: `contract-${QUICK_CONTRACT_ID}`,
+    title: `快速计算-${contractName.value.trim() || QUICK_CONTRACT_FALLBACK_NAME}`,
+    componentName: 'ContractDetailView',
+    props: {
+      contractId: QUICK_CONTRACT_ID,
+      contractName: contractName.value.trim() || QUICK_CONTRACT_FALLBACK_NAME,
+      projectInfoKey: QUICK_PROJECT_INFO_KEY,
+      projectScaleKey: QUICK_PROJECT_SCALE_KEY,
+      projectConsultCategoryFactorKey: QUICK_CONSULT_CATEGORY_FACTOR_KEY,
+      projectMajorFactorKey: QUICK_MAJOR_FACTOR_KEY
+    }
+  })
+}
+
+watch(
+  () => contractName.value,
+  () => {
+    void persistQuickContractMeta()
+  }
+)
+
+watch(
+  () => projectIndustry.value,
+  nextIndustry => {
+    if (!nextIndustry) return
+    void persistQuickIndustry(nextIndustry)
+  }
+)
+
+watch(
+  () => [
+    zxFwPricingStore.contractVersions[QUICK_CONTRACT_ID] || 0,
+    zxFwPricingStore.getKeyVersion(`htExtraFee-${QUICK_CONTRACT_ID}-additional-work`),
+    zxFwPricingStore.getKeyVersion(`htExtraFee-${QUICK_CONTRACT_ID}-reserve`),
+    Object.entries(zxFwPricingStore.keyVersions)
+      .filter(([key]) =>
+        key.startsWith(`htExtraFee-${QUICK_CONTRACT_ID}-additional-work-`) ||
+        key.startsWith(`htExtraFee-${QUICK_CONTRACT_ID}-reserve-`)
+      )
+      .map(([key, version]) => `${key}:${version}`)
+      .join('|')
+  ],
+  scheduleRefreshQuickBudget
+)
+
+onMounted(async () => {
+  writeWorkspaceMode('quick')
+  await ensureQuickWorkspaceReady()
+  await refreshQuickBudget()
+})
+
+onActivated(() => {
+  writeWorkspaceMode('quick')
+  scheduleRefreshQuickBudget()
+})
+</script>
+
+<template>
+  <div class="mx-auto flex h-full w-full max-w-6xl flex-col gap-6">
+    <div class="grid gap-4 lg:grid-cols-[minmax(0,1.25fr)_minmax(320px,0.75fr)]">
+      <Card class="border-border/70">
+        <CardHeader>
+          <CardTitle class="flex items-center gap-2 text-2xl">
+            <Calculator class="h-5 w-5" />
+            快速计算
+          </CardTitle>
+          <CardDescription>
+            保留一个默认合同卡片，不再经过项目卡片入口，直接进入单合同预算费用计算。
+          </CardDescription>
+        </CardHeader>
+        <CardContent class="grid gap-4 md:grid-cols-2">
+          <label class="space-y-2">
+            <span class="text-sm font-medium text-foreground">工程行业</span>
+            <select
+              v-model="projectIndustry"
+              class="h-11 w-full rounded-md border bg-background px-3 text-sm outline-none transition focus-visible:ring-2 focus-visible:ring-ring"
+            >
+              <option v-for="item in availableIndustries" :key="item.id" :value="item.id">
+                {{ item.name }}
+              </option>
+            </select>
+          </label>
+          <label class="space-y-2">
+            <span class="text-sm font-medium text-foreground">合同名称</span>
+            <div class="relative">
+              <PencilLine class="pointer-events-none absolute left-3 top-1/2 h-4 w-4 -translate-y-1/2 text-muted-foreground" />
+              <input
+                v-model="contractName"
+                type="text"
+                maxlength="40"
+                class="h-11 w-full rounded-md border bg-background pl-9 pr-3 text-sm outline-none transition focus-visible:ring-2 focus-visible:ring-ring"
+                placeholder="请输入合同名称"
+              />
+            </div>
+          </label>
+        </CardContent>
+      </Card>
+
+      <Card class="border-border/70 bg-muted/25">
+        <CardHeader class="pb-3">
+          <CardTitle class="text-base">当前状态</CardTitle>
+        </CardHeader>
+        <CardContent class="grid gap-2 text-sm text-muted-foreground">
+          <div>模式：单合同快速计算</div>
+          <div>合同ID：{{ QUICK_CONTRACT_ID }}</div>
+          <div>行业切换会同步重建快速计算专用系数基线</div>
+          <div>{{ savingIndustry ? '正在切换行业并刷新系数...' : '行业与合同名称已自动保存' }}</div>
+        </CardContent>
+      </Card>
+    </div>
+
+    <Card
+      class="group cursor-pointer border-border/70 transition-colors hover:border-primary"
+      @click="openQuickContract"
+    >
+      <CardHeader class="flex flex-col gap-3 md:flex-row md:items-start md:justify-between">
+        <div class="space-y-2">
+          <CardTitle class="text-xl">
+            {{ contractName.trim() || QUICK_CONTRACT_FALLBACK_NAME }}
+          </CardTitle>
+          <CardDescription>默认单合同卡片，点击后进入预算费用计算详情。</CardDescription>
+        </div>
+        <Button class="shrink-0 md:self-center" @click.stop="openQuickContract">
+          进入计算
+          <ArrowRight class="ml-1 h-4 w-4" />
+        </Button>
+      </CardHeader>
+      <CardContent class="grid gap-4 border-t pt-5 text-sm text-muted-foreground md:grid-cols-3">
+        <div>
+          <div class="text-xs uppercase tracking-[0.24em] text-muted-foreground/80">合同ID</div>
+          <div class="mt-2 break-all text-foreground">{{ QUICK_CONTRACT_ID }}</div>
+        </div>
+        <div>
+          <div class="text-xs uppercase tracking-[0.24em] text-muted-foreground/80">预算费用</div>
+          <div class="mt-2 text-foreground">{{ formatBudgetAmount(quickBudget) }}</div>
+        </div>
+        <div>
+          <div class="text-xs uppercase tracking-[0.24em] text-muted-foreground/80">行业</div>
+          <div class="mt-2 text-foreground">
+            {{ availableIndustries.find(item => item.id === projectIndustry)?.name || '--' }}
+          </div>
+        </div>
+      </CardContent>
+    </Card>
+  </div>
+</template>
diff --git a/src/components/views/ZxFwView.vue b/src/components/views/ZxFwView.vue
index b205493..bae7559 100644
--- a/src/components/views/ZxFwView.vue
+++ b/src/components/views/ZxFwView.vue
@@ -28,6 +28,7 @@ const props = defineProps<{
   serviceId: string|number
   fwName:string
   type?: ServiceMethodType
+  projectInfoKey?: string
 }>()
 
 interface PricingCategoryItem {
@@ -64,7 +65,11 @@ const createPricingPane = (name: string) =>
           }
         })
 
-        return () => h(AsyncPricingView, { contractId: props.contractId, serviceId: props.serviceId })
+        return () => h(AsyncPricingView, {
+          contractId: props.contractId,
+          serviceId: props.serviceId,
+          projectInfoKey: props.projectInfoKey
+        })
       }
     })
   )
